<div class="admin">
    <app-admin-sidebar class="nav flex-column" [user]="user"  (isNav)="toggleNav($event)"></app-admin-sidebar>
    <div class="{{isNav}}">
      <div class="container">
          <mat-expansion-panel class="mt-5">
              <mat-expansion-panel-header>
                <mat-panel-title>
                  Agregar nuevo usuario
                </mat-panel-title>
              </mat-expansion-panel-header>
              <form #registerForm="ngForm" (ngSubmit)="register(registerForm)">
                <div class="row">
                  <div class="col-lg-3">
                    <mat-form-field>
                      <input matInput placeholder="Nombre" [(ngModel)]="user.name" name="name"/>
                    </mat-form-field>
                  </div>
                  <div class="col-lg-3">
                    <mat-form-field>
                      <input matInput placeholder="Email" [(ngModel)]="user.email" name="email"/>
                    </mat-form-field>
                  </div>
                  <div class="col-lg-3">
                      <mat-form-field>
                    <input matInput type="password" placeholder="Password" [(ngModel)]="user.password" name="password">
                  </mat-form-field>
                  </div>
                  <div class="col-lg-3">
                    <mat-form-field>
                      <mat-label>Tipo de usuario</mat-label>
                      <mat-select [(ngModel)]="selectedRole" name="role">
                        <mat-option *ngFor="let role of roles" [value]="role.value">
                          {{role.viewValue}}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>
                </div>
                <div class="float-lg-right">
                  <button mat-raised-button color="warn" type="submit">Registrar</button>
                </div>
              </form>
            </mat-expansion-panel>
        <div class="mt-5">
          <mat-form-field class="w-100">
            <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Buscar usuarios">
          </mat-form-field>
          <table mat-table [dataSource]="dataSource" matSort class="mat-elevation-z8">
              <ng-container matColumnDef="name">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombre </th>
                <td mat-cell *matCellDef="let element"> {{element.name}} </td>
              </ng-container>
              <ng-container matColumnDef="email">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Email </th>
                <td mat-cell *matCellDef="let element"> {{element.email}} </td>
              </ng-container>
              <ng-container matColumnDef="createdAt">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Miembro desde: </th>
                <td mat-cell *matCellDef="let element"> {{element.createdAt | date:'medium'}} </td>
              </ng-container>
              <ng-container matColumnDef="deathLine">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Miembro hasta: </th>
                <td mat-cell *matCellDef="let element"> {{element.deathLine | date:'medium'}} </td>
              </ng-container>
              <ng-container matColumnDef="actions">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Acciones </th>
                <td mat-cell *matCellDef="let element"><span class="pointer" (click)="openPayment(element)" ><mat-icon>attach_money</mat-icon></span></td>
              </ng-container>
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
          </table>
          <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
        </div>
      </div>
    </div>
  </div>